[SOLVED] ZHA not working with conbee II

Hi
Yes I only used usb 2 slots as I know from experience with wireless mouse or keyboard that USB3 and 2.4ghz devices do not mix well together.
I used and extender cable but re-reading your post lead me to recheck things and the key was standing near the printer which was currently running on the wifi as I am recabling the house.
I moved it away and it worked!!!
What baffles me is that it works with the addon and not the the ZHA.
So the interferences are dealt by the addon but not ZHA? The error log isn’t very helping there.
I however looked for an explanation from what I understood and it would seem that the interferences causes disconnections of the (usb ? )port that are not supported by ZHA while they are best tolerated by the add on.
I am currious to get a more technical explanation there.

Anyway thanks for the help

Summary:

If it works with the addon but not with ZHA try a longuer cable/ better placement and beware of any 2.4ghz source that may causes interferences!

I’m having the same issue:

Logger: homeassistant.components.websocket_api.http.connection
Source: components/websocket_api/connection.py:96
Integration: Home Assistant WebSocket API (documentation, issues)
First occurred: 10:07:14 (1 occurrences)
Last logged: 10:07:14
[140369141186272] Received invalid command: zha/configuration
DEVLINKS: >-
  /dev/serial/by-id/usb-dresden_elektronik_ingenieurtechnik_GmbH_ConBee_II_DE2121513-if00
  /dev/serial/by-path/pci-0000:02:00.0-usb-0:2.2:1.0
DEVNAME: /dev/ttyACM0
DEVPATH: >-
  /devices/pci0000:00/0000:00:11.0/0000:02:00.0/usb2/2-2/2-2.2/2-2.2:1.0/tty/ttyACM0
ID_BUS: usb
ID_MODEL: ConBee_II
ID_MODEL_ENC: ConBee\x20II
ID_MODEL_ID: '0030'
ID_PATH: pci-0000:02:00.0-usb-0:2.2:1.0
ID_PATH_TAG: pci-0000_02_00_0-usb-0_2_2_1_0
ID_REVISION: '0100'
ID_SERIAL: dresden_elektronik_ingenieurtechnik_GmbH_ConBee_II_DE2121513
ID_SERIAL_SHORT: DE2121513
ID_TYPE: generic
ID_USB_DRIVER: cdc_acm
ID_USB_INTERFACES: ':020201:0a0000:'
ID_USB_INTERFACE_NUM: '00'
ID_VENDOR: dresden_elektronik_ingenieurtechnik_GmbH
ID_VENDOR_ENC: dresden\x20elektronik\x20ingenieurtechnik\x20GmbH
ID_VENDOR_ID: 1cf1
MAJOR: '166'
MINOR: '0'
SUBSYSTEM: tty
TAGS: ':systemd:'
USEC_INITIALIZED: '80016688579'

Same issue here. Anyone have any idea?

Having the same issue running in Virtualbox on a Intel NUC

Logger: homeassistant.components.zha.core.gateway
Source: components/zha/core/gateway.py:152
Integration: Zigbee Home Automation (documentation, issues)
First occurred: 11:15:59 AM (19 occurrences)
Last logged: 11:37:09 AM

Couldn't start deCONZ = dresden elektronik deCONZ protocol: ConBee I/II, RaspBee I/II coordinator
Traceback (most recent call last):
  File "/usr/local/lib/python3.9/asyncio/tasks.py", line 492, in wait_for
    fut.result()
asyncio.exceptions.CancelledError

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py", line 152, in async_initialize
    self.application_controller = await app_controller_cls.new(
  File "/usr/local/lib/python3.9/site-packages/zigpy/application.py", line 69, in new
    await app.startup(auto_form)
  File "/usr/local/lib/python3.9/site-packages/zigpy_deconz/zigbee/application.py", line 67, in startup
    self.version = await self._api.version()
  File "/usr/local/lib/python3.9/site-packages/zigpy_deconz/api.py", line 463, in version
    (self._proto_ver,) = await self[NetworkParameter.protocol_version]
  File "/usr/local/lib/python3.9/site-packages/zigpy_deconz/api.py", line 428, in read_parameter
    r = await self._command(Command.read_parameter, 1 + len(data), param, data)
  File "/usr/local/lib/python3.9/site-packages/zigpy_deconz/api.py", line 313, in _command
    return await asyncio.wait_for(fut, timeout=COMMAND_TIMEOUT)
  File "/usr/local/lib/python3.9/asyncio/tasks.py", line 494, in wait_for
    raise exceptions.TimeoutError() from exc
asyncio.exceptions.TimeoutError

I am having the same problem on a Virtualbox on an Intel NUC as well. Did anyone find a solution?

Yes, even after the latest updates I am still having these issues. The only way to get ZHA to see the conbee is to completely restart the virtual machine. Quite frustrating. Again, not sure if this is a HA, VirtualBox or Conbee issue. But it wasn’t always like this.

I had this problem, and with me it was the VMS VboxVMService. This program starts up the Virtual machine automatically at start up of the PC and leaves an icon in the windows menu bar from where you can start and stop the home assistant virtual machine. When you stop the virtual machine in the VboxVMService and run it from the regular Virtual Machine application, you can run HomeAssistant, but for some reason you can not see the conbee II, I think because the port is linked to the VboxVMService application. So run I it from the VMS VboxVMService app and the Conbee II is accessible.

Hi,

RPI4 + Hass OS + RaspBee I
Same problem started last week (maybe) after upgrading the OS to v8.0, but downgrading to 7.x and upgrading to the latest 8.1 does not help. As checked the RaspBee works with Raspbian + Deconz/Phoscon app on an other RPI4.

Logger: homeassistant.components.zha.core.gateway
Source: components/zha/core/gateway.py:182
Integration: Zigbee Home Automation (documentation, issues)
First occurred: May 20, 2022, 11:23:32 PM (590 occurrences)
Last logged: 12:51:03 PM

Couldn't start deCONZ = dresden elektronik deCONZ protocol: ConBee I/II, RaspBee I/II coordinator
Traceback (most recent call last):
  File "/usr/local/lib/python3.9/asyncio/tasks.py", line 492, in wait_for
    fut.result()
asyncio.exceptions.CancelledError

The above exception was the direct cause of the following exception:

Traceback (most recent call last):
  File "/usr/src/homeassistant/homeassistant/components/zha/core/gateway.py", line 182, in async_initialize
    self.application_controller = await app_controller_cls.new(
  File "/usr/local/lib/python3.9/site-packages/zigpy/application.py", line 69, in new
    await app.startup(auto_form)
  File "/usr/local/lib/python3.9/site-packages/zigpy_deconz/zigbee/application.py", line 84, in startup
    self.version = await self._api.version()
  File "/usr/local/lib/python3.9/site-packages/zigpy_deconz/api.py", line 464, in version
    (self._proto_ver,) = await self[NetworkParameter.protocol_version]
  File "/usr/local/lib/python3.9/site-packages/zigpy_deconz/api.py", line 429, in read_parameter
    r = await self._command(Command.read_parameter, 1 + len(data), param, data)
  File "/usr/local/lib/python3.9/site-packages/zigpy_deconz/api.py", line 314, in _command
    return await asyncio.wait_for(fut, timeout=COMMAND_TIMEOUT)
  File "/usr/local/lib/python3.9/asyncio/tasks.py", line 494, in wait_for
    raise exceptions.TimeoutError() from exc
asyncio.exceptions.TimeoutError'

I had the same problem, I deleted the Zigbee integration and reinstalled it, it fixed the problem

1 Like

Did you have to re-pair each of your devices? I’m assuming so and holding off having to do that to 90 devices scattered all over the property. Hoping for a fix before I have to take the whole property offline for a couple of dedicated days.
Meanwhile, I’m hanging in there with 2022.4.7.

To fully undo a ZHA installation you should also delete the zigbee.db file after removing ZHA integration.

FYI, zigpy developers are working on ConBee/RaspBee backup and restore of Zigbee network so you have the option to do a backup before removing and then restore so no need to repair then, see

https://community.home-assistant.io/t/zha-libraries-will-soon-support-conbee-raspbee-backup-and-restore-that-can-be-used-for-zigbee-network-migrations/374782

I only have few devices but most did not need to be reconfigured, a couple of IKEA devices needed to be re configured.

Still looking like HASS OS v8 breaks ZHA integration? I’ve got a pi4 with raspbee II. Looks like I’ll stay with v7.x for a while longer. Hopefully not too long.

It’s fixed now. Some dude named Puddly on the Discord HA channel spent a considerable amount of time assisting in undoing my stupid mistakes. All is well now that we’ve reconfigured zha to do it’s own setup rather than me trying for force some stupid parameters to it.

Would you mind putting what you did on here? I am facing a similar issue so I would love to have an idea.

1 Like

After much analysis we determined the additional configuration parameters I was loading into ZHA via it’s startup in my configuration.yaml was doing stupid stuff so we let the ZHA module figure things out on it’s own by using the following in my configuration.yaml:


#######################################
# Zigbee network
#-|---|---|---|---|---|---|---|---|---|
zha:

Now, life is good. Much better than when I thought I could do a better job by trying to tweak it. :slight_smile:

For me the fix was to upgrade the firmware of the conbee II. Put the conbee in a Windows PC and follow this article: https://github.com/dresden-elektronik/deconz-rest-plugin/wiki/Update-deCONZ-manually#update-in-windows

1 Like

Do you know what firmware version you went from and to?

Hello,
I had the same issue with the same setup and found that my wifi was interfering on Zigbee.
I restarted my wifi, so just reload the ZHA and it worked fine.

Always try to follow these generic best practice guidelines and tips in regards to avoiding all sources of interference → Generic best practice tips on improving Zigbee network range and general stability · zigpy/zigpy Wiki · GitHub